Name:           perl-Unicode-MapUTF8
Version:        1.11
Release:        7%{?dist}

Summary:        Conversions to and from arbitrary character sets and UTF8

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Unicode-MapUTF8/
Source0:        http://www.cpan.org/authors/id/S/SN/SNOWHARE/Unicode-MapUTF8-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker), perl(Jcode)
BuildRequires:  perl(Unicode::Map), perl(Unicode::Map8), perl(Unicode::String)

# Should add perl(Test::Pod) and perl(Test::Pod::Coverage) as buildreqs when
# they become available in EPEL

%description
Unicode::MapUTF8 Provides an adapter layer between core routines for
converting to and from UTF8 and other encodings. In essence, a way to
give multiple existing Unicode modules a single common interface so
you don't have to know the underlaying implementations to do simple
UTF8 to-from other character set string conversions. As such, it wraps
the Unicode::String, Unicode::Map8, Unicode::Map and Jcode modules in
a standardized and simple API.


%prep
%setup -q -n Unicode-MapUTF8-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%dir %{perl_vendorlib}/Unicode/
%doc %{perl_vendorlib}/Unicode/MapUTF8.pod
%{perl_vendorlib}/Unicode/MapUTF8.pm
%{_mandir}/man3/Unicode::MapUTF8.3pm*


%changelog
* Thu Dec  6 2007 Paul Howarth <paul@city-fan.org> 1.11-7
- simplify package build in line with perl spec template
- no need to define %%{perl_vendorlib}
- refactor buildreqs to support build on EL4/5
- mark pod as %%doc
- use %%{version} macro in source URL

* Thu Sep 27 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.11-6
- fix license tag again (thanks Tom)

* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.11-5
- fix license tag (like perl itself)

* Mon Aug 13 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.11-4
- BR: perl-devel

* Sun Oct 29 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.11-2
- rebuild

* Sun Oct 29 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.11-2
- perl-Unicode-Map8 builds on x86_64 now, rebuilding

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.11-1
- update to 1.11

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.09-6
- rebuild for FC5
- ExcludeArch x86_64 because perl-Unicode-Map8 does not work on this arch

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.4
- Reduce directory ownership bloat.

* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.3
- Install into vendor dirs.
- Specfile cleanup.

* Mon Jul  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.2
- Regenerate %%install section with cpanflute2.
- Improve %%description.

* Wed May  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.09-0.fdr.1
- Update to current Fedora guidelines.

* Sun Mar  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.09-1.fedora.1
- First Fedora release.
